from django.conf import settings


class AppSettings:
    def get_setting(self, setting, default=None):
        return getattr(settings, 'NONSTOP_' + setting, default)

    @property
    def REMOTE_BASE_PATH(self):
        return self.get_setting('REMOTE_BASE_PATH', '/srv/soma/nonstop/')

    @property
    def LOCAL_BASE_PATH(self):
        return self.get_setting('LOCAL_BASE_PATH', '/media/nonstop/')

    @property
    def JINGLES_PREFIX(self):
        # relative to ..._BASE_PATH
        return self.get_setting('JINGLES_PREFIX', 'SPOTS')


app_settings = AppSettings()
